AJS.$(window).load(function(){
	
	pinterProgressBar();
	
	JIRA.bind(JIRA.Events.ISSUE_REFRESHED, function (e, context, reason) {
		pinterProgressBar();
    });
	
	JIRA.bind(JIRA.Events.INLINE_EDIT_SAVE_COMPLETE, function (e, context, reason) {
		pinterProgressBar();
    });
	
	JIRA.bind(JIRA.Events.NEW_CONTENT_ADDED, function(e, context, reason) {
		if (reason == JIRA.CONTENT_ADDED_REASON.issueTableRefreshed || reason == JIRA.CONTENT_ADDED_REASON.issueTableRowRefreshed) {
			pinterProgressBar();
		}		
	});    
});


function pinterProgressBar() {
	
	AJS.$("div.kinto-sql-cf-progress").each(function(){
		
		var clas = AJS.$(this).attr("class").replace("kinto-sql-cf-progress ", ""); 
		var minColour = AJS.$(this).attr("pb-minColour");
		var maxColour = AJS.$(this).attr("pb-maxColour");
		var value = AJS.$(this).attr("pb-value");
		
		AJS.$("div.kinto-sql-cf-progress." + clas).gradientProgressBar({
			"value": value,
          	"size": 150,
          	"animation": false,
          	"fill" : {gradient: [minColour, maxColour]}
		});
	});
}